创建Wii-App(Create Wii Application)

创建一个 Wii-App

Composer 安装后,执行如下命令即可安装创建一个Wii项目 :

composer create-project --repository-url=https://packagist.wiiqq.com wii/wii2-app --stability=dev my_project

几分钟后,可以看到 my_project 项目就创建提示,并输入Y 删除依赖库git相关数据。

如果需要其它依赖库资源,可修改项目中的 composter.json 文件:

{
  "name": "wii/wii2-app",
  "description": "The Imagine integration for the wii/wii2-app",
  "version": "2.0.1",
  "type": "project",
  "keywords": [
    "wii2",
    "application"
  ],
  "repositories": [
    {
      "type": "composer",
      "url": "https://packagist.wiiqq.com/"
    },
    {
      "type": "composer",
      "url": "https://packagist.laravel-china.org"
    },
    {
      "type": "composer",
      "url": "https://asset-packagist.org"
    },
    {
      "packagist": false
    }
  ],
  "minimum-stability": "dev",
  "prefer-stable": true,
  "require": {
    "wii/wii2": "dev-2.3.0-dev",
    "wii/wii2-wau": "2.1.0.x-dev",
    "wii/wii-api-lib": "dev-1.0.0-dev"
  },
  "require-dev": {
    "yiisoft/yii2-debug": "~2.0.13",
    "yiisoft/yii2-gii": "~2.0.7",
    "yiisoft/yii2-faker": "~2.0.4",
    "yiisoft/yii2-apidoc": "~2.1.0",
    "codeception/codeception": "~2.4.2",
    "codeception/specify": "~1.1",
    "codeception/verify": "~1.0.0"
  },
  "config": {
    "process-timeout": 1800,
    "fxp-asset": {
      "enabled": false
    }
  },
  "scripts": {
    "post-create-project-cmd": [
      "wii\\composer\\Installer::postCreateProject"
    ]
  }
}

composer.json 文件更新后,需要更新依赖库:

composer update

results matching ""

    No results matching ""